| LightHub v4.0.0 Smarthome controller firmware

Public Member Functions | Protected Attributes | List of all members
flashStream Class Reference

`#include <flashstream.h>`

Inheritance diagram for flashStream:

## Public Member Functions
| flashStream ()
void | setSize (unsigned int _size)
int | open (short fileNum, char mode='\0')
virtual int | open (String _filename, char mode='\0') override
virtual unsigned int | seek (unsigned int _pos=0)
virtual int | available () override
virtual int | read ()
virtual int | peek ()
virtual void | flush ()
virtual size_t | write (uint8_t ch)
virtual void | close () override
Public Member Functions inherited from seekableStream
| seekableStream (unsigned int size)
virtual bool | checkPermissions (char mode)
unsigned int | getSize ()
void | setSize (unsigned int size)
virtual uint16_t | getContentType ()
virtual void | putEOF ()

## Protected Attributes
unsigned int | pos
unsigned int | startPos
Protected Attributes inherited from seekableStream
unsigned int | streamSize
bool | textMode
uint16_t | contentType

## Constructor & Destructor Documentation

## ◆ flashStream()

flashStream::flashStream | ( |  | ) |
| inline

## Member Function Documentation

## ◆ available()

int flashStream::available | ( |  | ) |
| override virtual

## ◆ close()

void flashStream::close | ( |  | ) |
| override virtual

Implements seekableStream.

## ◆ flush()

void flashStream::flush | ( |  | ) |
| virtual

## ◆ open() [1/2]

int flashStream::open | ( | short | fileNum,
|  | char | mode = `'\0'`
| ) |  |

## ◆ open() [2/2]

int flashStream::open | ( | String | _filename,
|  | char | mode = `'\0'`
| ) |  |
| override virtual

Implements seekableStream.

## ◆ peek()

int flashStream::peek | ( |  | ) |
| virtual

## ◆ read()

int flashStream::read | ( |  | ) |
| virtual

## ◆ seek()

unsigned int flashStream::seek | ( | unsigned int | _pos = `0` | ) |
| virtual

Implements seekableStream.

## ◆ setSize()

void flashStream::setSize | ( | unsigned int | _size | ) |

## ◆ write()

size_t flashStream::write | ( | uint8_t | ch | ) |
| virtual

## Member Data Documentation

## ◆ pos

unsigned int flashStream::pos
| protected

## ◆ startPos

unsigned int flashStream::startPos
| protected

The documentation for this class was generated from the following files:

- flashstream.h
- flashstream.cpp